# Command: topology::DumpLayerNodes

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    topology::DumpLayerNodes - write information about layer nodes to file

Synopsis:

    ostream layer_gid DumpLayerNodes -> ostream

Examples:

      topology using
      /my_layer << /rows 5 /columns 4 /elements /iaf_psc_alpha >> CreateLayer def

      (my_layer_dump.lyr) (w) file
      my_layer DumpLayerNodes
      close

Description:

      Write information about each element in the given layer to the
      output stream. The file format is one line per element with the
      following contents:

      GID x-position y-position [z-position]

      X and y position are given as physical coordinates in the extent,
      not as grid positions. The number of decimals can be controlled by
      calling setprecision on the output stream before calling DumpLayerNodes.

Parameters:

      ostream  	- open output stream
      layer_gid	- topology layer

Remarks:

      In distributed simulations, this function should only be called for
      MPI rank 0. If you call it on several MPI ranks, you must use a
      different file name on each.

Author:

    Kittel Austvoll, Hans Ekkehard Plesser

SeeAlso:

- topology::DumpLayerConnections
- setprecision
- modeldict

Source:

    /opt/conda/conda-bld/nest_1512418852064/work/nest-2.12.0/topology/topologymodule.cpp

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative